Package com.io7m.idstore.database.api

# Enum Class IdDatabaseUpgrade

java.lang.Object
java.lang.Enum<IdDatabaseUpgrade>
com.io7m.idstore.database.api.IdDatabaseUpgrade

All Implemented Interfaces:
  `Serializable`, `Comparable<IdDatabaseUpgrade>`, `Constable`

public enum IdDatabaseUpgrade extends Enum<IdDatabaseUpgrade>
Upgrade or do not upgrade a database.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DO_NOT_UPGRADE_DATABASE`
  Do not upgrade the database.
  `UPGRADE_DATABASE`
  Upgrade the database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdDatabaseUpgrade`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IdDatabaseUpgrade[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UPGRADE_DATABASE

    public static final IdDatabaseUpgrade UPGRADE_DATABASE
    Upgrade the database.

  - ### DO_NOT_UPGRADE_DATABASE

    public static final IdDatabaseUpgrade DO_NOT_UPGRADE_DATABASE
    Do not upgrade the database.

- ## Method Details

  - ### values

    public static IdDatabaseUpgrade[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IdDatabaseUpgrade valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null